0

We seem to have a situation where the ODBC drivers for solaris of Teradata (v 14.10 from Teradata) and the Simba Hive ODBC (v 2.0.3) are requiring different versions of the shared objects: libodbc.so and libodbcinst.so.

Individually each driver works fine if the appropriate shared object is included in LD_LIBRARY_PATH. The Teradata driver has a dependency of version (v3.52) of libodbc.so.

However one or the other driver also fails to work. We could not get both drivers to work at the same time.

The OS is solaris 10.

  • What do you mean by "work at the same time"? – Andrew Henle Feb 24 '16 at 10:38
  • Only one driver is able to work. Depends on the set of paths in LD_LIBRARY_PATH – user55570 Feb 24 '16 at 11:33
  • Ideally we want both drivers to work – user55570 Feb 24 '16 at 11:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.